Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ParserInterface Interface Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ParserInterface:

## Public Member Functions
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\HookableConfigurationMapperInterface
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...
| postMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor after looping over available scopes. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...

## Detailed Description

Definition at line 12 of file ParserInterface.php.

## Member Function Documentation

## ◆ addSemanticConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ParserInterface::addSemanticConfig | ( | NodeBuilder | $nodeBuilder | ) |

Adds semantic configuration definition.

Parameters

  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder | Node just under ezpublish.system.<siteaccess>

Implemented in eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\View, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\UrlChecker, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Templates, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Page, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Languages, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Image, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Content, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\Common, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\BlockView, eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\AbstractFieldTypeParser, and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ConfigParser.

The documentation for this interface was generated from the following file:

- ParserInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.